Net::SSH::Perl::Key::Ed25519(3)

NAME
Net::SSH::Perl::Key::Ed25519 - Ed25519 key object

SYNOPSIS
    use Net::SSH::Perl::Key;
    my $key = Net::SSH::Perl::Key->new('Ed25519');

DESCRIPTION
Net::SSH::Perl::Key::Ed25519 subclasses Net::SSH::Perl::Key to implement an OpenSSH key object. It uses code taken from the SUPERCOP ref10 implementation to do the crypto heavy lifting. The Net::SSH::Perl::Buffer class is used to create blobs and transforms those it into a key object and to write keys to an openssh-key-v1 file.

USAGE
Net::SSH::Perl::Key::Ed25519 implements the interface described in the documentation for Net::SSH::Perl::Key. Any differences or additions are described here.

  $key->sign($data)
Signs $data using the private and public key portions of $key, then encodes that signature into an SSH-compatible signature blob.

Returns the signature blob.

  $key->verify($signature, $data)
Given a signature blob $signature and the original signed data $data, attempts to verify the signature using the public key portion of $key.

$signature should be an SSH-compatible signature blob, as returned from sign; $data should be a string of data, as passed to sign.

Returns true if the verification succeeds, false otherwise.

  Net::SSH::Perl::Key::Ed25519->keygen([$comment])
Generates a new key with (optional) comment.

AUTHOR & COPYRIGHTS
Lance Kinley E<lkinley@loyaltymethods.com>

Copyright (c) 2015-2016 Loyalty Methods, Inc.

LICENSE
This program is free software; you can redistribute it and/or modify it under the same terms as Perl itself.

POD ERRORS
Hey! The above document had some coding errors, which are explained below:

Around line 378:
    Unknown E content in E<lkinley@loyaltymethods.com>